ClientClient_uuid
x-api-key<token>
HMAC-SHA256 signed key produced by the apikee engine.
Format: <base62-id>.<base62-claims>.<base62-hmac>
The first 12 characters are the keyPrefix (safe for logging).
In: header
Path Parameters
client_uuid*string
Format
uuidQuery Parameters
project_env?string
e.g. my-app-production
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://apikee.dev/api/v1/client/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "Updated Mobile Backend", "keys": [ { "id": "key-uuid-123", "name": "Renamed Key", "expiresAt": "2028-01-01T00:00:00Z" } ] }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"type": "person",
"status": "active",
"source": {},
"ipWhitelist": [
"string"
],
"metadata": {},
"templateId": "string",
"envId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"keys": [
{
"id": "string",
"name": "string",
"keyPrefix": "string",
"rawKey": "string",
"scopes": [
"string"
],
"environment": "string",
"enabled": true,
"requestCount": 0,
"lastUsedAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"metadata": {}
}
],
"stats": {
"total": 0,
"success": 0,
"error": 0,
"avgDurationMs": 0
}
}